# Copyright 2022 Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

Name: python-jmespath
Epoch: 100
Version: 1.0.0
Release: 1%{?dist}
BuildArch: noarch
Summary: JMESPath is a query language for JSON
License: MIT
URL: https://github.com/jmespath/jmespath.py/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
JMESPath (pronounced "james path") allows you to declaratively specify
how to extract elements from a JSON document.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
fdupes -qnrps %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-jmespath
Summary: JMESPath is a query language for JSON
Requires: python3
Provides: python3-jmespath = %{epoch}:%{version}-%{release}
Provides: python3dist(jmespath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jmespath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jmespath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jmespath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jmespath) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-jmespath
JMESPath (pronounced "james path") allows you to declaratively specify
how to extract elements from a JSON document.

%files -n python%{python3_version_nodots}-jmespath
%license LICENSE.txt
%{_bindir}/*
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-jmespath
Summary: JMESPath is a query language for JSON
Requires: python3
Provides: python3-jmespath = %{epoch}:%{version}-%{release}
Provides: python3dist(jmespath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jmespath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jmespath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jmespath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jmespath) = %{epoch}:%{version}-%{release}

%description -n python3-jmespath
JMESPath (pronounced "james path") allows you to declaratively specify
how to extract elements from a JSON document.

%files -n python3-jmespath
%license LICENSE.txt
%{_bindir}/*
%{python3_sitelib}/*
%endif

%changelog
